Subject: Re: [PATCH 10/10] [RFC] wifi: remove ipw2100/ipw2200 drivers

From: Kalle Valo <[email-masked]>
Date: Mon, 23 Oct 2023 17:39:10 +0300

Arnd Bergmann <[email-masked]> writes:

> From: Arnd Bergmann <[email-masked]>
>
> These two drivers were used for the earliest "Centrino" branded Intel
> laptops during the late 32-bit Pentium-M era, roughly 2003 to 2005, which
> probably makes it the most modern platform that still uses the wireless
> extension interface instead of cfg80211. Unlike the other drivers that
> are suggested for removal, this one is still officially maintained.
>
> According to Johannes Berg, there was an effort to finish the move away
> from wext in the past, but the last evidence of this that I could find
> is from commit a3caa99e6c68f ("libipw: initiate cfg80211 API conversion
> (v2)") in 2009.
>
> Link: https://lore.kernel.org/all/[email-masked]/
> Cc: Stanislav Yakovlev <[email-masked]>
> Cc: Linux Wireless <[email-masked]>
> Signed-off-by: Arnd Bergmann <[email-masked]>
> ---
> I'm not convinced this should be in the same set of drivers as the
> rest, since this is clearly less obsolete than the other hardware
> that I would remove support for.

I am inclined to remove this one as well, it's just so old.

This patch didn't make it to the list, I guess it was too big. But it's
available from the pending branch:

https://git.kernel.org/pub/scm/linux/kernel/git/wireless/wireless-next.git/commit/?h=pending&id=81ba6b51c3a640b277274701407bbf557f12edac

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches